import Command from './Command';
import CommandContext from './CommandContext';
declare class DesignerUndoManager {
    private _undoQueue;
    private _redoQueue;
    private _baseId;
    constructor();
    enqueue(command: Command): void;
    execUndo(commandContext: CommandContext): void;
    execRedo(commandContext: any): void;
    buildEvent(): {
        undoSteps: number;
        redoSteps: number;
    };
    markAsChangeBase(): void;
    hasBeenChanged(): boolean;
}
export default DesignerUndoManager;
